curl --request POST \
--url https://api.dock.us/{version}/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateId": "1234567890",
"hubspotCompanyId": "1234567890",
"hubspotDealId": "1234567890",
"salesforceAccountId": "1234567890",
"salesforceOpportunityId": "1234567890",
"accountId": "1234567890",
"shareSetting": "landingPage",
"notifyPeople": false,
"workspaceUsers": [
{
"email": "jsmith@example.com",
"role": "owner"
}
],
"workspaceDomains": [
{
"domain": "<string>",
"role": "owner"
}
],
"name": "My Workspace",
"autoPublishWorkspace": false,
"googleVerificationEnabled": false,
"microsoftVerificationEnabled": false,
"magicLinkVerificationEnabled": false,
"welcomePageCta": "View Workspace",
"welcomePageText": "<string>",
"startDate": "2025-06-15",
"actualEndDate": "2025-09-30",
"targetEndDate": "2025-08-31"
}
'import requests
url = "https://api.dock.us/{version}/workspaces"
payload = {
"templateId": "1234567890",
"hubspotCompanyId": "1234567890",
"hubspotDealId": "1234567890",
"salesforceAccountId": "1234567890",
"salesforceOpportunityId": "1234567890",
"accountId": "1234567890",
"shareSetting": "landingPage",
"notifyPeople": False,
"workspaceUsers": [
{
"email": "jsmith@example.com",
"role": "owner"
}
],
"workspaceDomains": [
{
"domain": "<string>",
"role": "owner"
}
],
"name": "My Workspace",
"autoPublishWorkspace": False,
"googleVerificationEnabled": False,
"microsoftVerificationEnabled": False,
"magicLinkVerificationEnabled": False,
"welcomePageCta": "View Workspace",
"welcomePageText": "<string>",
"startDate": "2025-06-15",
"actualEndDate": "2025-09-30",
"targetEndDate": "2025-08-31"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateId: '1234567890',
hubspotCompanyId: '1234567890',
hubspotDealId: '1234567890',
salesforceAccountId: '1234567890',
salesforceOpportunityId: '1234567890',
accountId: '1234567890',
shareSetting: 'landingPage',
notifyPeople: false,
workspaceUsers: [{email: 'jsmith@example.com', role: 'owner'}],
workspaceDomains: [{domain: '<string>', role: 'owner'}],
name: 'My Workspace',
autoPublishWorkspace: false,
googleVerificationEnabled: false,
microsoftVerificationEnabled: false,
magicLinkVerificationEnabled: false,
welcomePageCta: 'View Workspace',
welcomePageText: '<string>',
startDate: '2025-06-15',
actualEndDate: '2025-09-30',
targetEndDate: '2025-08-31'
})
};
fetch('https://api.dock.us/{version}/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"workspace": {
"id": "RiHO4e0Ju3DS",
"updatedAt": "2021-01-01T00:00:00.000Z",
"createdAt": "2021-01-01T00:00:00.000Z",
"workspaceUsers": [
{
"id": "RiHO4e0Ju3DS",
"updatedAt": "2021-01-01T00:00:00.000Z",
"createdAt": "2021-01-01T00:00:00.000Z",
"role": "owner",
"user": {
"id": "RiHO4e0Ju3DS",
"updatedAt": "2021-01-01T00:00:00.000Z",
"createdAt": "2021-01-01T00:00:00.000Z",
"object": "user",
"url": "https://api.dock.us/v1/users/RiHO4e0Ju3DS",
"firstName": "John",
"lastName": "Doe",
"avatar": "https://dock.us/avatar.png",
"email": "john.doe@example.com",
"name": "John Doe"
}
}
],
"workspaceDomains": [
{
"id": "RiHO4e0Ju3DS",
"updatedAt": "2021-01-01T00:00:00.000Z",
"createdAt": "2021-01-01T00:00:00.000Z",
"role": "owner",
"domain": "dock.us"
}
],
"account": {
"id": "RiHO4e0Ju3DS",
"updatedAt": "2021-01-01T00:00:00.000Z",
"createdAt": "2021-01-01T00:00:00.000Z",
"object": "account",
"url": "https://api.dock.us/v1/accounts/RiHO4e0Ju3DS",
"name": "Dock",
"website": "https://dock.us",
"ownerId": "RiHO4e0Ju3DS",
"logo": "https://dock.us/logo.png",
"salesforceAccountId": "0015f00000Bg59dAAB",
"hubspotCompanyId": "8662045446"
},
"object": "workspace",
"url": "https://api.dock.us/v1/workspaces/RiHO4e0Ju3DS",
"name": "Customer Onboarding",
"workspaceUrl": "https://acme.dock.us/customer-onboarding-vRQgIvscHAiO",
"templateId": "RiHO4e0Ju3DS",
"startDate": "2024-01-01",
"targetEndDate": "2024-01-01",
"actualEndDate": "2024-01-01",
"projectAge": 100,
"taskProgress": "50",
"lastContactView": "2024-01-01T00:00:00Z",
"totalViews": 100,
"totalActions": 100,
"totalTimeSpent": 100,
"contactsCount": 100,
"deal": {
"id": "RiHO4e0Ju3DS",
"updatedAt": "2021-01-01T00:00:00.000Z",
"createdAt": "2021-01-01T00:00:00.000Z",
"hubspotDealId": "1234567890",
"object": "deal",
"url": "https://api.dock.us/v1/deals/RiHO4e0Ju3DS",
"createdDate": "2024-01-01T00:00:00Z",
"closeDate": "2024-01-01T00:00:00Z",
"name": "Deal 1",
"amount": "100000",
"type": "New Business",
"stage": "Proposal Sent"
},
"customFields": [
{
"id": "RiHO4e0Ju3DS",
"updatedAt": "2021-01-01T00:00:00.000Z",
"createdAt": "2021-01-01T00:00:00.000Z",
"object": "customField",
"url": "https://api.dock.us/v1/custom-fields/RiHO4e0Ju3DS",
"variableName": "account.name",
"type": "singleCheckbox",
"options": [
{
"index": 1,
"label": "Yes",
"value": "true"
}
],
"value": "Yes"
}
]
}
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "The request could not be understood or was missing required parameters"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Access denied. You are not authorized to access this resource"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Access to this resource is restricted"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource could not be found"
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded. Please try again later"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "The server has encountered a situation it does not know how to handle"
}
}Create a workspace
Create a workspace
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Select the workspace properties that should be returned
accountId, name, workspaceUrl, templateId, startDate, targetEndDate, actualEndDate, projectAge, taskProgress, lastContactView, totalViews, totalActions, totalTimeSpent, contactsCount, account.name, account.website, account.ownerId, account.logo, account.salesforceAccountId, account.hubspotCompanyId, account.createdAt, account.updatedAt, customFields.name, customFields.type, customFields.variableName, customFields.value, workspaceDomains.domain, workspaceDomains.role, workspaceDomains.createdAt, workspaceDomains.updatedAt, workspaceUsers.role, workspaceUsers.createdAt, workspaceUsers.updatedAt, workspaceUsers.user.firstName, workspaceUsers.user.lastName, workspaceUsers.user.avatar, workspaceUsers.user.email, workspaceUsers.user.name, workspaceUsers.user.createdAt, workspaceUsers.user.updatedAt, deal.name, deal.amount, deal.closeDate, deal.createdDate, deal.type, deal.stage, deal.hubspotDealId, deal.salesforceOpportunityId Body
ID of the template to use for the workspace
"1234567890"
ID of the HubSpot company to use for the workspace
"1234567890"
ID of the HubSpot deal to use for the workspace
"1234567890"
ID of the Salesforce account to use for the workspace
"1234567890"
ID of the Salesforce opportunity to use for the workspace
"1234567890"
ID of the account to use for the workspace
"1234567890"
Share setting for the workspace
landingPage, withLink, restricted "landingPage"
Notify people for the workspace
Users to access the workspace
Show child attributes
Show child attributes
Domains to access the workspace
Show child attributes
Show child attributes
Name of the workspace
"My Workspace"
Auto publish workspace
Google verification enabled
Microsoft verification enabled
Magic link verification enabled
Welcome page CTA
Welcome page text
The start date of the workspace in YYYY-MM-DD format, or null to remove the date
"2025-06-15"
The actual end date of the workspace in YYYY-MM-DD format, or null to remove the date
"2025-09-30"
The target end date of the workspace in YYYY-MM-DD format, or null to remove the date
"2025-08-31"
Response
Workspace created
Show child attributes
Show child attributes